%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		npth
Version:	1.3
Release:	%mkrel 1
Summary:	The New GNU Portable Threads library
# software uses dual licensing (or both in parallel)
License:	LGPLv3+ or GPLv2+ or (LGPLv3+ and GPLv2+)
Group:		Development/C
URL:		http://git.gnupg.org/cgi-bin/gitweb.cgi?p=npth.git
Source0:	ftp://ftp.gnupg.org/gcrypt/npth/npth-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/npth/npth-%{version}.tar.bz2.sig
# Manual page is re-used and changed pth-config.1 from pth-devel package
Source2:	npth-config.1

%description
nPth is a non-preemptive threads implementation using an API very similar
to the one known from GNU Pth. It has been designed as a replacement of
GNU Pth for non-ancient operating systems. In contrast to GNU Pth is is
based on the system's standard threads implementation. Thus nPth allows
the use of libraries which are not compatible to GNU Pth.

%package -n	%{libname}
Group:		Development/C
Summary:	The New GNU Portable Threads library
%rename		%{name}

%description -n	%{libname}
nPth is a non-preemptive threads implementation using an API very similar
to the one known from GNU Pth. It has been designed as a replacement of
GNU Pth for non-ancient operating systems. In contrast to GNU Pth is is
based on the system's standard threads implementation. Thus nPth allows
the use of libraries which are not compatible to GNU Pth.

%package -n 	%{devname}
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
%rename		%{name}-devel

%description -n	%{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build

%install
%make_install INSTALL='install -p'

mkdir -p %{buildroot}%{_mandir}/man1/
install -pm0644 %SOURCE2 %{buildroot}%{_mandir}/man1/

find %{buildroot} -name '*.la' -delete -print

%check
make check

%files -n %{libname}
%license COPYING COPYING.LESSER
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h
%{_mandir}/man1/%{name}-config.1*
%{_datadir}/aclocal/%{name}.m4


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.3-1.mga6
+ Revision: 1079029
- 1.3
- properly libify package

* Fri Feb 12 2016 umeabot <umeabot> 1.2-2.mga6
+ Revision: 956294
- Mageia 6 Mass Rebuild

* Sun Sep 13 2015 ycantin <ycantin> 1.2-1.mga6
+ Revision: 878952
- imported package npth

